## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
.stats on
PRAGMA vdbe_trace = ON;
PRAGMA empty_result_callbacks = ON;
PRAGMA fullsync = TRUE;
.explain off
ATTACH DATABASE ':memory:' AS aux70;
PRAGMA cache_spill = ON;

.help
.help .archive
.help .auth
.help .backup
.help .bail
.help .cd
.help .changes
.help .check
.help .clone
.help .connection
.help .databases
.help .dbconfig
.help .dbinfo
.help .dump
.help .echo
.help .eqp
.help .excel
.help .exit
.help .expert
.help .explain
.help .filectrl
.help .fullschema
.help .headers
.help .help
.help .import
.help .imposter
.help .indexes
.help .limit
.help .lint
.help .load
.help .log
.help .mode
.help .nonce
.help .nullvalue
.help .once
.help .open
.help .output
.help .parameter
.help .print
.help .progress
.help .prompt
.help .quit
.help .read /* unistr_quote('Control\x01') */ .help .recover
.help .restore
.help .save
.help .scanstats
.help .schema
.help .separator
.help .sha3sum
.help .shell
.help .show
.help .stats
.help .system
.help .tables
.help .timeout
.help .timer
.help .trace
.help .version
.help .vfsinfo
.help .vfslist
.help .vfsname
.help .width
 
PRAGMA  full_column_names = NO;
PRAGMA automatic_index = NO;
PRAGMA vdbe_addoptrace = TRUE;
.indexes main
CREATE TABLE [q](s string, id string, constraint pk_q primary key(id));
BEGIN;
INSERT INTO q(s,id) VALUES('' || ('hello'),'id.1');
INSERT INTO q(s,id) VALUES('goodbye','id.2');
INSERT INTO q(s,id) VALUES('again','id.3');
END;
SELECT * FROM q;
DeLeTe FROM q WHERE NOT rowid > NULL;

CREATE TRIGGER IF NOT EXISTS trg_q_1443 AFTER UPDATE OF s ON q BEGIN SELECT RAISE(IGNORE); END;
SELECT s FROM q INTERSECT SELECT s FROM (SELECT * FROM q) AS sub;
VACUUM;
DETACH DATABASE aux70;
VACUUM;
VACUUM main;
CREATE VIRTUAL TABLE t0 USING fts4("x", "y", "z");
DROP TABLE t0;
```

## Actual output

```sql
Memory Used:                         62592 (max 62592) bytes
Number of Outstanding Allocations:   122 (max 122)
Number of Pcache Overflow Bytes:     4104 (max 4104) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4104 bytes
Lookaside Slots Used:                35 (max 36)
Successful lookaside attempts:       37
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    4904 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               3
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            8053
Bytes sent to write():               0
Read() system calls:                 13
Write() system calls:                0
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         62592 (max 62592) bytes
Number of Outstanding Allocations:   122 (max 122)
Number of Pcache Overflow Bytes:     4104 (max 4104) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4104 bytes
Lookaside Slots Used:                35 (max 36)
Successful lookaside attempts:       42
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    4904 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            8147
Bytes sent to write():               1285
Read() system calls:                 15
Write() system calls:                1
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         62592 (max 62592) bytes
Number of Outstanding Allocations:   122 (max 122)
Number of Pcache Overflow Bytes:     4104 (max 4104) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4104 bytes
Lookaside Slots Used:                35 (max 36)
Successful lookaside attempts:       47
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    4904 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               3
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            8244
Bytes sent to write():               2573
Read() system calls:                 17
Write() system calls:                2
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         79920 (max 79920) bytes
Number of Outstanding Allocations:   158 (max 158)
Number of Pcache Overflow Bytes:     16928 (max 16928) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                40 (max 80)
Successful lookaside attempts:       155
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18496 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1104 bytes
Statement Heap/Lookaside Usage:      2912 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               7
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2912
Bytes received by read():            8341
Bytes sent to write():               3861
Read() system calls:                 19
Write() system calls:                3
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         79920 (max 79920) bytes
Number of Outstanding Allocations:   158 (max 158)
Number of Pcache Overflow Bytes:     16928 (max 16928) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                37 (max 80)
Successful lookaside attempts:       160
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18496 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1104 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               3
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            8438
Bytes sent to write():               5156
Read() system calls:                 21
Write() system calls:                4
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
.auth ON|OFF             Show authorizer callbacks
.backup ?DB? FILE        Backup DB (default "main") to FILE
.bail on|off             Stop after hitting an error.  Default OFF
.binary on|off           Turn binary output on or off.  Default OFF
.cd DIRECTORY            Change the working directory to DIRECTORY
.changes on|off          Show number of rows changed by SQL
.check GLOB              Fail if output since .testcase does not match
.clone NEWDB             Clone data into NEWDB from the existing database
.connection [close] [#]  Open or close an auxiliary database connection
.databases               List names and files of attached databases
.dbconfig ?op? ?val?     List or change sqlite3_db_config() options
.dbinfo ?DB?             Show status information about the database
.dump ?OBJECTS?          Render database content as SQL
.echo on|off             Turn command echo on or off
.eqp on|off|full|...     Enable or disable automatic EXPLAIN QUERY PLAN
.excel                   Display the output of next command in spreadsheet
.exit ?CODE?             Exit this program with return-code CODE
.expert                  EXPERIMENTAL. Suggest indexes for queries
.explain ?on|off|auto?   Change the EXPLAIN formatting mode.  Default: auto
.filectrl CMD ...        Run various sqlite3_file_control() operations
.fullschema ?--indent?   Show schema and the content of sqlite_stat tables
.headers on|off          Turn display of headers on or off
.help ?-all? ?PATTERN?   Show help text for PATTERN
.import FILE TABLE       Import data from FILE into TABLE
.imposter INDEX TABLE    Create imposter table TABLE on index INDEX
.indexes ?TABLE?         Show names of indexes
.limit ?LIMIT? ?VAL?     Display or change the value of an SQLITE_LIMIT
.lint OPTIONS            Report potential schema issues.
.load FILE ?ENTRY?       Load an extension library
.log FILE|off            Turn logging on or off.  FILE can be stderr/stdout
.mode MODE ?OPTIONS?     Set output mode
.nonce STRING            Suspend safe mode for one command if nonce matches
.nullvalue STRING        Use STRING in place of NULL values
.once ?OPTIONS? ?FILE?   Output for the next SQL command only to FILE
.open ?OPTIONS? ?FILE?   Close existing database and reopen FILE
.output ?FILE?           Send output to FILE or stdout if FILE is omitted
.parameter CMD ...       Manage SQL parameter bindings
.print STRING...         Print literal STRING
.progress N              Invoke progress handler after every N opcodes
.prompt MAIN CONTINUE    Replace the standard prompts
.quit                    Exit this program
.read FILE               Read input from FILE or command output
.recover                 Recover as much data as possible from corrupt db.
.restore ?DB? FILE       Restore content of DB (default "main") from FILE
.save ?OPTIONS? FILE     Write database to FILE (an alias for .backup ...)
.scanstats on|off        Turn sqlite3_stmt_scanstatus() metrics on or off
.schema ?PATTERN?        Show the CREATE statements matching PATTERN
.selftest ?OPTIONS?      Run tests defined in the SELFTEST table
.separator COL ?ROW?     Change the column and row separators
.sha3sum ...             Compute a SHA3 hash of database content
.shell CMD ARGS...       Run CMD ARGS... in a system shell
.show                    Show the current values for various settings
.stats ?ARG?             Show stats or turn stats on or off
.system CMD ARGS...      Run CMD ARGS... in a system shell
.tables ?TABLE?          List names of tables matching LIKE pattern TABLE
.testcase NAME           Begin redirecting output to 'testcase-out.txt'
.testctrl CMD ...        Run various sqlite3_test_control() operations
.timeout MS              Try opening locked tables for MS milliseconds
.timer on|off            Turn SQL timer on or off
.trace ?OPTIONS?         Output each SQL statement as it is run
.vfsinfo ?AUX?           Information about the top-level VFS
.vfslist                 List all available VFSes
.vfsname ?AUX?           Print the name of the VFS stack
.width NUM1 NUM2 ...     Set minimum column widths for columnar output
Nothing matches '.archive'
.auth ON|OFF             Show authorizer callbacks
.backup ?DB? FILE        Backup DB (default "main") to FILE
   Options:
       --append            Use the appendvfs
       --async             Write to FILE without journal and fsync()
.save ?OPTIONS? FILE     Write database to FILE (an alias for .backup ...)
.bail on|off             Stop after hitting an error.  Default OFF
.cd DIRECTORY            Change the working directory to DIRECTORY
.changes on|off          Show number of rows changed by SQL
.check GLOB              Fail if output since .testcase does not match
.clone NEWDB             Clone data into NEWDB from the existing database
.connection [close] [#]  Open or close an auxiliary database connection
.databases               List names and files of attached databases
.dbconfig ?op? ?val?     List or change sqlite3_db_config() options
.dbinfo ?DB?             Show status information about the database
.dump ?OBJECTS?          Render database content as SQL
   Options:
     --data-only            Output only INSERT statements
     --newlines             Allow unescaped newline characters in output
     --nosys                Omit system tables (ex: "sqlite_stat1")
     --preserve-rowids      Include ROWID values in the output
   OBJECTS is a LIKE pattern for tables, indexes, triggers or views to dump
   Additional LIKE patterns can be given in subsequent arguments
.echo on|off             Turn command echo on or off
.eqp on|off|full|...     Enable or disable automatic EXPLAIN QUERY PLAN
   Other Modes:
      trigger               Like "full" but also show trigger bytecode
.excel                   Display the output of next command in spreadsheet
   --bom                   Put a UTF8 byte-order mark on intermediate file
.once ?OPTIONS? ?FILE?   Output for the next SQL command only to FILE
     If FILE begins with '|' then open as a pipe
       --bom  Put a UTF8 byte-order mark at the beginning
       -e     Send output to the system text editor
       -x     Send output as CSV to a spreadsheet (same as ".excel")
.exit ?CODE?             Exit this program with return-code CODE
.expert                  EXPERIMENTAL. Suggest indexes for queries
.explain ?on|off|auto?   Change the EXPLAIN formatting mode.  Default: auto
.filectrl CMD ...        Run various sqlite3_file_control() operations
   --schema SCHEMA         Use SCHEMA instead of "main"
   --help                  Show CMD details
.fullschema ?--indent?   Show schema and the content of sqlite_stat tables
.headers on|off          Turn display of headers on or off
.help ?-all? ?PATTERN?   Show help text for PATTERN
.import FILE TABLE       Import data from FILE into TABLE
   Options:
     --ascii               Use \037 and \036 as column and row separators
     --csv                 Use , and \n as column and row separators
     --skip N              Skip the first N rows of input
     --schema S            Target table to be S.TABLE
     -v                    "Verbose" - increase auxiliary output
   Notes:
     *  If TABLE does not exist, it is created.  The first row of input
        determines the column names.
     *  If neither --csv or --ascii are used, the input mode is derived
        from the ".mode" output mode
     *  If FILE begins with "|" then it is a command that generates the
        input text.
.imposter INDEX TABLE    Create imposter table TABLE on index INDEX
.indexes ?TABLE?         Show names of indexes
                           If TABLE is specified, only show indexes for
                           tables matching TABLE using the LIKE operator.
.limit ?LIMIT? ?VAL?     Display or change the value of an SQLITE_LIMIT
.lint OPTIONS            Report potential schema issues.
     Options:
        fkey-indexes     Find missing foreign key indexes
.load FILE ?ENTRY?       Load an extension library
.log FILE|off            Turn logging on or off.  FILE can be stderr/stdout
.import FILE TABLE       Import data from FILE into TABLE
   Options:
     --ascii               Use \037 and \036 as column and row separators
     --csv                 Use , and \n as column and row separators
     --skip N              Skip the first N rows of input
     --schema S            Target table to be S.TABLE
     -v                    "Verbose" - increase auxiliary output
   Notes:
     *  If TABLE does not exist, it is created.  The first row of input
        determines the column names.
     *  If neither --csv or --ascii are used, the input mode is derived
        from the ".mode" output mode
     *  If FILE begins with "|" then it is a command that generates the
        input text.
.mode MODE ?OPTIONS?     Set output mode
   MODE is one of:
     ascii       Columns/rows delimited by 0x1F and 0x1E
     box         Tables using unicode box-drawing characters
     csv         Comma-separated values
     column      Output in columns.  (See .width)
     html        HTML <table> code
     insert      SQL insert statements for TABLE
     json        Results in a JSON array
     line        One value per line
     list        Values delimited by "|"
     markdown    Markdown table format
     qbox        Shorthand for "box --width 60 --quote"
     quote       Escape answers as for SQL
     table       ASCII-art table
     tabs        Tab-separated values
     tcl         TCL list elements
   OPTIONS: (for columnar modes or insert mode):
     --wrap N       Wrap output lines to no longer than N characters
     --wordwrap B   Wrap or not at word boundaries per B (on/off)
     --ww           Shorthand for "--wordwrap 1"
     --quote        Quote output text as SQL literals
     --noquote      Do not quote output text
     TABLE          The name of SQL table used for "insert" mode
.nonce STRING            Suspend safe mode for one command if nonce matches
.nullvalue STRING        Use STRING in place of NULL values
.once ?OPTIONS? ?FILE?   Output for the next SQL command only to FILE
     If FILE begins with '|' then open as a pipe
       --bom  Put a UTF8 byte-order mark at the beginning
       -e     Send output to the system text editor
       -x     Send output as CSV to a spreadsheet (same as ".excel")
.open ?OPTIONS? ?FILE?   Close existing database and reopen FILE
     Options:
        --append        Use appendvfs to append database to the end of FILE
        --deserialize   Load into memory using sqlite3_deserialize()
        --hexdb         Load the output of "dbtotxt" as an in-memory db
        --maxsize N     Maximum size for --hexdb or --deserialized database
        --new           Initialize FILE to an empty database
        --nofollow      Do not follow symbolic links
        --readonly      Open FILE readonly
        --zip           FILE is a ZIP archive
.output ?FILE?           Send output to FILE or stdout if FILE is omitted
   If FILE begins with '|' then open it as a pipe.
   Options:
     --bom                 Prefix output with a UTF8 byte-order mark
     -e                    Send output to the system text editor
     -x                    Send output as CSV to a spreadsheet
.parameter CMD ...       Manage SQL parameter bindings
   clear                   Erase all bindings
   init                    Initialize the TEMP table that holds bindings
   list                    List the current parameter bindings
   set PARAMETER VALUE     Given SQL parameter PARAMETER a value of VALUE
                           PARAMETER should start with one of: $ : @ ?
   unset PARAMETER         Remove PARAMETER from the binding table
.print STRING...         Print literal STRING
.progress N              Invoke progress handler after every N opcodes
   --limit N                 Interrupt after N progress callbacks
   --once                    Do no more than one progress interrupt
   --quiet|-q                No output except at interrupts
   --reset                   Reset the count for each input and interrupt
.prompt MAIN CONTINUE    Replace the standard prompts
.quit                    Exit this program
.read FILE               Read input from FILE or command output
    If FILE begins with "|", it is a command that generates the input.
.restore ?DB? FILE       Restore content of DB (default "main") from FILE
.save ?OPTIONS? FILE     Write database to FILE (an alias for .backup ...)
.scanstats on|off        Turn sqlite3_stmt_scanstatus() metrics on or off
.schema ?PATTERN?        Show the CREATE statements matching PATTERN
   Options:
      --indent             Try to pretty-print the schema
      --nosys              Omit objects whose names start with "sqlite_"
.separator COL ?ROW?     Change the column and row separators
.sha3sum ...             Compute a SHA3 hash of database content
    Options:
      --schema              Also hash the sqlite_schema table
      --sha3-224            Use the sha3-224 algorithm
      --sha3-256            Use the sha3-256 algorithm (default)
      --sha3-384            Use the sha3-384 algorithm
      --sha3-512            Use the sha3-512 algorithm
    Any other argument is a LIKE pattern for tables to hash
.shell CMD ARGS...       Run CMD ARGS... in a system shell
.show                    Show the current values for various settings
.stats ?ARG?             Show stats or turn stats on or off
   off                      Turn off automatic stat display
   on                       Turn on automatic stat display
   stmt                     Show statement stats
   vmstep                   Show the virtual machine step count only
.system CMD ARGS...      Run CMD ARGS... in a system shell
.tables ?TABLE?          List names of tables matching LIKE pattern TABLE
.timeout MS              Try opening locked tables for MS milliseconds
.timer on|off            Turn SQL timer on or off
.trace ?OPTIONS?         Output each SQL statement as it is run
    FILE                    Send output to FILE
    stdout                  Send output to stdout
    stderr                  Send output to stderr
    off                     Disable tracing
    --expanded              Expand query parameters
    --plain                 Show SQL as it is input
    --stmt                  Trace statement execution (SQLITE_TRACE_STMT)
    --profile               Profile statements (SQLITE_TRACE_PROFILE)
    --row                   Trace each row (SQLITE_TRACE_ROW)
    --close                 Trace connection close (SQLITE_TRACE_CLOSE)
Nothing matches '.version'
.vfsinfo ?AUX?           Information about the top-level VFS
.vfslist                 List all available VFSes
.vfsname ?AUX?           Print the name of the VFS stack
.mode MODE ?OPTIONS?     Set output mode
   MODE is one of:
     ascii       Columns/rows delimited by 0x1F and 0x1E
     box         Tables using unicode box-drawing characters
     csv         Comma-separated values
     column      Output in columns.  (See .width)
     html        HTML <table> code
     insert      SQL insert statements for TABLE
     json        Results in a JSON array
     line        One value per line
     list        Values delimited by "|"
     markdown    Markdown table format
     qbox        Shorthand for "box --width 60 --quote"
     quote       Escape answers as for SQL
     table       ASCII-art table
     tabs        Tab-separated values
     tcl         TCL list elements
   OPTIONS: (for columnar modes or insert mode):
     --wrap N       Wrap output lines to no longer than N characters
     --wordwrap B   Wrap or not at word boundaries per B (on/off)
     --ww           Shorthand for "--wordwrap 1"
     --quote        Quote output text as SQL literals
     --noquote      Do not quote output text
     TABLE          The name of SQL table used for "insert" mode
.width NUM1 NUM2 ...     Set minimum column widths for columnar output
     Negative values right-justify
Memory Used:                         79920 (max 79944) bytes
Number of Outstanding Allocations:   158 (max 159)
Number of Pcache Overflow Bytes:     16928 (max 16928) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                37 (max 80)
Successful lookaside attempts:       165
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18496 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1104 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            8535
Bytes sent to write():               22398
Read() system calls:                 23
Write() system calls:                68
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         79920 (max 79944) bytes
Number of Outstanding Allocations:   158 (max 159)
Number of Pcache Overflow Bytes:     16928 (max 16928) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                37 (max 80)
Successful lookaside attempts:       170
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18496 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1104 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            8634
Bytes sent to write():               23695
Read() system calls:                 25
Write() system calls:                69
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         79920 (max 79944) bytes
Number of Outstanding Allocations:   158 (max 159)
Number of Pcache Overflow Bytes:     16928 (max 16928) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                37 (max 80)
Successful lookaside attempts:       175
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18496 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1104 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               3
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            8733
Bytes sent to write():               24992
Read() system calls:                 27
Write() system calls:                70
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         97368 (max 99112) bytes
Number of Outstanding Allocations:   187 (max 199)
Number of Pcache Overflow Bytes:     29752 (max 29752) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                34 (max 123)
Successful lookaside attempts:       438
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     7
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1576 bytes
Statement Heap/Lookaside Usage:      4120 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               41
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        4120
Bytes received by read():            9088
Bytes sent to write():               26289
Read() system calls:                 30
Write() system calls:                71
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         93248 (max 99112) bytes
Number of Outstanding Allocations:   170 (max 199)
Number of Pcache Overflow Bytes:     29752 (max 29752) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                37 (max 123)
Successful lookaside attempts:       441
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1576 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               2
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            9187
Bytes sent to write():               27589
Read() system calls:                 32
Write() system calls:                72
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         103080 (max 103080) bytes
Number of Outstanding Allocations:   181 (max 199)
Number of Pcache Overflow Bytes:     29752 (max 29752) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                51 (max 123)
Successful lookaside attempts:       480
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     3
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1600 bytes
Statement Heap/Lookaside Usage:      5264 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               20
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        5264
Bytes received by read():            9286
Bytes sent to write():               28888
Read() system calls:                 34
Write() system calls:                73
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         103080 (max 103080) bytes
Number of Outstanding Allocations:   181 (max 199)
Number of Pcache Overflow Bytes:     29752 (max 29752) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                49 (max 123)
Successful lookaside attempts:       511
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     2
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1600 bytes
Statement Heap/Lookaside Usage:      3936 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               18
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        3936
Bytes received by read():            9385
Bytes sent to write():               30190
Read() system calls:                 36
Write() system calls:                74
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         103080 (max 103080) bytes
Number of Outstanding Allocations:   181 (max 199)
Number of Pcache Overflow Bytes:     29752 (max 29752) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                49 (max 123)
Successful lookaside attempts:       542
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     2
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1600 bytes
Statement Heap/Lookaside Usage:      3936 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               18
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        3936
Bytes received by read():            9484
Bytes sent to write():               31492
Read() system calls:                 38
Write() system calls:                75
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         93272 (max 103080) bytes
Number of Outstanding Allocations:   171 (max 199)
Number of Pcache Overflow Bytes:     29752 (max 29752) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                37 (max 123)
Successful lookaside attempts:       545
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1600 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               2
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            9583
Bytes sent to write():               32794
Read() system calls:                 40
Write() system calls:                76
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
hello|id.1
goodbye|id.2
again|id.3
Memory Used:                         93272 (max 103080) bytes
Number of Outstanding Allocations:   171 (max 199)
Number of Pcache Overflow Bytes:     29752 (max 29752) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                46 (max 123)
Successful lookaside attempts:       574
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     2
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1600 bytes
Statement Heap/Lookaside Usage:      4752 bytes
Fullscan Steps:                      2
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               18
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        4752
Bytes received by read():            9682
Bytes sent to write():               34094
Read() system calls:                 42
Write() system calls:                77
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         93272 (max 103080) bytes
Number of Outstanding Allocations:   171 (max 199)
Number of Pcache Overflow Bytes:     29752 (max 29752) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                45 (max 123)
Successful lookaside attempts:       599
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     2
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   1600 bytes
Statement Heap/Lookaside Usage:      3424 bytes
Fullscan Steps:                      2
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               17
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        3424
Bytes received by read():            9781
Bytes sent to write():               35430
Read() system calls:                 44
Write() system calls:                78
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         95816 (max 103080) bytes
Number of Outstanding Allocations:   195 (max 204)
Number of Pcache Overflow Bytes:     29752 (max 29752) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                34 (max 123)
Successful lookaside attempts:       672
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     3
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   2416 bytes
Statement Heap/Lookaside Usage:      1720 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               15
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        1720
Bytes received by read():            9880
Bytes sent to write():               36731
Read() system calls:                 46
Write() system calls:                79
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
again
goodbye
hello
Memory Used:                         94096 (max 291416) bytes
Number of Outstanding Allocations:   184 (max 204)
Number of Pcache Overflow Bytes:     29752 (max 46168) bytes
Largest Allocation:                  87200 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                48 (max 123)
Successful lookaside attempts:       735
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     3
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   2416 bytes
Statement Heap/Lookaside Usage:      4880 bytes
Fullscan Steps:                      4
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               52
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        4880
Bytes received by read():            9979
Bytes sent to write():               38032
Read() system calls:                 48
Write() system calls:                80
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         87512 (max 330216) bytes
Number of Outstanding Allocations:   133 (max 242)
Number of Pcache Overflow Bytes:     25648 (max 46168) bytes
Largest Allocation:                  87200 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                37 (max 123)
Successful lookaside attempts:       1119
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    27184 bytes
Page cache hits:                     9
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               3
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            10078
Bytes sent to write():               39353
Read() system calls:                 50
Write() system calls:                81
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         75672 (max 330216) bytes
Number of Outstanding Allocations:   125 (max 242)
Number of Pcache Overflow Bytes:     17184 (max 46168) bytes
Largest Allocation:                  87200 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                37 (max 123)
Successful lookaside attempts:       1125
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    17936 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2784 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               7
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2784
Bytes received by read():            10178
Bytes sent to write():               40652
Read() system calls:                 52
Write() system calls:                82
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         75672 (max 330216) bytes
Number of Outstanding Allocations:   125 (max 242)
Number of Pcache Overflow Bytes:     17184 (max 46168) bytes
Largest Allocation:                  87200 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                35 (max 123)
Successful lookaside attempts:       1564
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    17936 bytes
Page cache hits:                     11
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               3
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            10278
Bytes sent to write():               41951
Read() system calls:                 54
Write() system calls:                83
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         75672 (max 330216) bytes
Number of Outstanding Allocations:   125 (max 242)
Number of Pcache Overflow Bytes:     17184 (max 46168) bytes
Largest Allocation:                  87200 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                35 (max 123)
Successful lookaside attempts:       2004
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    17936 bytes
Page cache hits:                     11
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               3
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            10378
Bytes sent to write():               43251
Read() system calls:                 56
Write() system calls:                84
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         114056 (max 330216) bytes
Number of Outstanding Allocations:   243 (max 286)
Number of Pcache Overflow Bytes:     47448 (max 47448) bytes
Largest Allocation:                  87200 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                32 (max 123)
Successful lookaside attempts:       2459
Lookaside failures due to size:      2
Lookaside failures due to OOM:       62
Pager Heap Usage:                    44000 bytes
Page cache hits:                     22
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   4352 bytes
Statement Heap/Lookaside Usage:      2768 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               31
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2768
Bytes received by read():            10478
Bytes sent to write():               44551
Read() system calls:                 58
Write() system calls:                85
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         108000 (max 341008) bytes
Number of Outstanding Allocations:   172 (max 286)
Number of Pcache Overflow Bytes:     47448 (max 63864) bytes
Largest Allocation:                  87200 bytes
Largest Pcache Allocation:           4360 bytes
Lookaside Slots Used:                44 (max 123)
Successful lookaside attempts:       2825
Lookaside failures due to size:      8
Lookaside failures due to OOM:       62
Pager Heap Usage:                    44000 bytes
Page cache hits:                     31
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Schema Heap Usage:                   2024 bytes
Statement Heap/Lookaside Usage:      3680 bytes
Fullscan Steps:                      9
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               47
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        3680
Bytes received by read():            10578
Bytes sent to write():               45856
Read() system calls:                 61
Write() system calls:                86
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
```

## Expectation

```sql
Memory Used:                         63416 (max 63416) bytes
Number of Outstanding Allocations:   132 (max 132)
Number of Pcache Overflow Bytes:     4104 (max 4104) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4104 bytes
Lookaside Slots Used:                51 (max 52)
Successful lookaside attempts:       53
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    4904 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            8829
Bytes sent to write():               0
Read() system calls:                 14
Write() system calls:                0
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         63416 (max 63416) bytes
Number of Outstanding Allocations:   132 (max 132)
Number of Pcache Overflow Bytes:     4104 (max 4104) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4104 bytes
Lookaside Slots Used:                51 (max 52)
Successful lookaside attempts:       58
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    4904 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               5
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            8923
Bytes sent to write():               1324
Read() system calls:                 16
Write() system calls:                1
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         63416 (max 63416) bytes
Number of Outstanding Allocations:   132 (max 132)
Number of Pcache Overflow Bytes:     4104 (max 4104) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4104 bytes
Lookaside Slots Used:                51 (max 52)
Successful lookaside attempts:       63
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    4904 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            9020
Bytes sent to write():               2651
Read() system calls:                 18
Write() system calls:                2
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         80568 (max 80568) bytes
Number of Outstanding Allocations:   168 (max 168)
Number of Pcache Overflow Bytes:     16944 (max 16944) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                56 (max 91)
Successful lookaside attempts:       161
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18512 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   944 bytes
Statement Heap/Lookaside Usage:      2912 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               8
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2912
Bytes received by read():            9117
Bytes sent to write():               3978
Read() system calls:                 20
Write() system calls:                3
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         80568 (max 80568) bytes
Number of Outstanding Allocations:   168 (max 168)
Number of Pcache Overflow Bytes:     16944 (max 16944) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                53 (max 91)
Successful lookaside attempts:       166
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18512 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   944 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            9214
Bytes sent to write():               5311
Read() system calls:                 22
Write() system calls:                4
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
.archive ...             Manage SQL archives
.auth ON|OFF             Show authorizer callbacks
.backup ?DB? FILE        Backup DB (default "main") to FILE
.bail on|off             Stop after hitting an error.  Default OFF
.cd DIRECTORY            Change the working directory to DIRECTORY
.changes on|off          Show number of rows changed by SQL
.check GLOB              Fail if output since .testcase does not match
.clone NEWDB             Clone data into NEWDB from the existing database
.connection [close] [#]  Open or close an auxiliary database connection
.crlf ?on|off?           Whether or not to use \r\n line endings
.databases               List names and files of attached databases
.dbconfig ?op? ?val?     List or change sqlite3_db_config() options
.dbinfo ?DB?             Show status information about the database
.dbtotxt                 Hex dump of the database file
.dump ?OBJECTS?          Render database content as SQL
.echo on|off             Turn command echo on or off
.eqp on|off|full|...     Enable or disable automatic EXPLAIN QUERY PLAN
.excel                   Display the output of next command in spreadsheet
.exit ?CODE?             Exit this program with return-code CODE
.expert                  EXPERIMENTAL. Suggest indexes for queries
.explain ?on|off|auto?   Change the EXPLAIN formatting mode.  Default: auto
.filectrl CMD ...        Run various sqlite3_file_control() operations
.fullschema ?--indent?   Show schema and the content of sqlite_stat tables
.headers on|off          Turn display of headers on or off
.help ?-all? ?PATTERN?   Show help text for PATTERN
.import FILE TABLE       Import data from FILE into TABLE
.imposter INDEX TABLE    Create imposter table TABLE on index INDEX
.indexes ?TABLE?         Show names of indexes
.intck ?STEPS_PER_UNLOCK?  Run an incremental integrity check on the db
.limit ?LIMIT? ?VAL?     Display or change the value of an SQLITE_LIMIT
.lint OPTIONS            Report potential schema issues.
.load FILE ?ENTRY?       Load an extension library
.log FILE|on|off         Turn logging on or off.  FILE can be stderr/stdout
.mode ?MODE? ?OPTIONS?   Set output mode
.nonce STRING            Suspend safe mode for one command if nonce matches
.nullvalue STRING        Use STRING in place of NULL values
.once ?OPTIONS? ?FILE?   Output for the next SQL command only to FILE
.open ?OPTIONS? ?FILE?   Close existing database and reopen FILE
.output ?FILE?           Send output to FILE or stdout if FILE is omitted
.parameter CMD ...       Manage SQL parameter bindings
.print STRING...         Print literal STRING
.progress N              Invoke progress handler after every N opcodes
.prompt MAIN CONTINUE    Replace the standard prompts
.quit                    Stop interpreting input stream, exit if primary.
.read FILE               Read input from FILE or command output
.recover                 Recover as much data as possible from corrupt db.
.restore ?DB? FILE       Restore content of DB (default "main") from FILE
.save ?OPTIONS? FILE     Write database to FILE (an alias for .backup ...)
.scanstats on|off|est    Turn sqlite3_stmt_scanstatus() metrics on or off
.schema ?PATTERN?        Show the CREATE statements matching PATTERN
.separator COL ?ROW?     Change the column and row separators
.sha3sum ...             Compute a SHA3 hash of database content
.shell CMD ARGS...       Run CMD ARGS... in a system shell
.show                    Show the current values for various settings
.stats ?ARG?             Show stats or turn stats on or off
.system CMD ARGS...      Run CMD ARGS... in a system shell
.tables ?TABLE?          List names of tables matching LIKE pattern TABLE
.timeout MS              Try opening locked tables for MS milliseconds
.timer on|off            Turn SQL timer on or off
.trace ?OPTIONS?         Output each SQL statement as it is run
.version                 Show source, library and compiler versions
.vfsinfo ?AUX?           Information about the top-level VFS
.vfslist                 List all available VFSes
.vfsname ?AUX?           Print the name of the VFS stack
.width NUM1 NUM2 ...     Set minimum column widths for columnar output
.www                     Display output of the next command in web browser
.archive ...             Manage SQL archives
   Each command must have exactly one of the following options:
     -c, --create               Create a new archive
     -u, --update               Add or update files with changed mtime
     -i, --insert               Like -u but always add even if unchanged
     -r, --remove               Remove files from archive
     -t, --list                 List contents of archive
     -x, --extract              Extract files from archive
   Optional arguments:
     -v, --verbose              Print each filename as it is processed
     -f FILE, --file FILE       Use archive FILE (default is current db)
     -a FILE, --append FILE     Open FILE using the apndvfs VFS
     -C DIR, --directory DIR    Read/extract files from directory DIR
     -g, --glob                 Use glob matching for names in archive
     -n, --dryrun               Show the SQL that would have occurred
   Examples:
     .ar -cf ARCHIVE foo bar  # Create ARCHIVE from files foo and bar
     .ar -tf ARCHIVE          # List members of ARCHIVE
     .ar -xvf ARCHIVE         # Verbosely extract files from ARCHIVE
   See also:
      http://sqlite.org/cli.html#sqlite_archive_support
.auth ON|OFF             Show authorizer callbacks
.backup ?DB? FILE        Backup DB (default "main") to FILE
   Options:
       --append            Use the appendvfs
       --async             Write to FILE without journal and fsync()
.save ?OPTIONS? FILE     Write database to FILE (an alias for .backup ...)
.bail on|off             Stop after hitting an error.  Default OFF
.cd DIRECTORY            Change the working directory to DIRECTORY
.changes on|off          Show number of rows changed by SQL
.check GLOB              Fail if output since .testcase does not match
.clone NEWDB             Clone data into NEWDB from the existing database
.connection [close] [#]  Open or close an auxiliary database connection
.databases               List names and files of attached databases
.dbconfig ?op? ?val?     List or change sqlite3_db_config() options
.dbinfo ?DB?             Show status information about the database
.dump ?OBJECTS?          Render database content as SQL
   Options:
     --data-only            Output only INSERT statements
     --newlines             Allow unescaped newline characters in output
     --nosys                Omit system tables (ex: "sqlite_stat1")
     --preserve-rowids      Include ROWID values in the output
   OBJECTS is a LIKE pattern for tables, indexes, triggers or views to dump
   Additional LIKE patterns can be given in subsequent arguments
.echo on|off             Turn command echo on or off
.eqp on|off|full|...     Enable or disable automatic EXPLAIN QUERY PLAN
   Other Modes:
      trigger               Like "full" but also show trigger bytecode
.excel                   Display the output of next command in spreadsheet
   --bom                   Put a UTF8 byte-order mark on intermediate file
.once ?OPTIONS? ?FILE?   Output for the next SQL command only to FILE
     If FILE begins with '|' then open as a pipe
       --bom    Put a UTF8 byte-order mark at the beginning
       -e       Send output to the system text editor
       --plain  Use text/plain output instead of HTML for -w option
       -w       Send output as HTML to a web browser (same as ".www")
       -x       Send output as CSV to a spreadsheet (same as ".excel")
.exit ?CODE?             Exit this program with return-code CODE
.expert                  EXPERIMENTAL. Suggest indexes for queries
.explain ?on|off|auto?   Change the EXPLAIN formatting mode.  Default: auto
.filectrl CMD ...        Run various sqlite3_file_control() operations
   --schema SCHEMA         Use SCHEMA instead of "main"
   --help                  Show CMD details
.fullschema ?--indent?   Show schema and the content of sqlite_stat tables
.headers on|off          Turn display of headers on or off
.help ?-all? ?PATTERN?   Show help text for PATTERN
.import FILE TABLE       Import data from FILE into TABLE
   Options:
     --ascii               Use \037 and \036 as column and row separators
     --csv                 Use , and \n as column and row separators
     --skip N              Skip the first N rows of input
     --schema S            Target table to be S.TABLE
     -v                    "Verbose" - increase auxiliary output
   Notes:
     *  If TABLE does not exist, it is created.  The first row of input
        determines the column names.
     *  If neither --csv or --ascii are used, the input mode is derived
        from the ".mode" output mode
     *  If FILE begins with "|" then it is a command that generates the
        input text.
.imposter INDEX TABLE    Create imposter table TABLE on index INDEX
.indexes ?TABLE?         Show names of indexes
                           If TABLE is specified, only show indexes for
                           tables matching TABLE using the LIKE operator.
.limit ?LIMIT? ?VAL?     Display or change the value of an SQLITE_LIMIT
.lint OPTIONS            Report potential schema issues.
     Options:
        fkey-indexes     Find missing foreign key indexes
.load FILE ?ENTRY?       Load an extension library
.log FILE|on|off         Turn logging on or off.  FILE can be stderr/stdout
.import FILE TABLE       Import data from FILE into TABLE
   Options:
     --ascii               Use \037 and \036 as column and row separators
     --csv                 Use , and \n as column and row separators
     --skip N              Skip the first N rows of input
     --schema S            Target table to be S.TABLE
     -v                    "Verbose" - increase auxiliary output
   Notes:
     *  If TABLE does not exist, it is created.  The first row of input
        determines the column names.
     *  If neither --csv or --ascii are used, the input mode is derived
        from the ".mode" output mode
     *  If FILE begins with "|" then it is a command that generates the
        input text.
.mode ?MODE? ?OPTIONS?   Set output mode
   MODE is one of:
     ascii       Columns/rows delimited by 0x1F and 0x1E
     box         Tables using unicode box-drawing characters
     csv         Comma-separated values
     column      Output in columns.  (See .width)
     html        HTML <table> code
     insert      SQL insert statements for TABLE
     json        Results in a JSON array
     line        One value per line
     list        Values delimited by "|"
     markdown    Markdown table format
     qbox        Shorthand for "box --wrap 60 --quote"
     quote       Escape answers as for SQL
     table       ASCII-art table
     tabs        Tab-separated values
     tcl         TCL list elements
   OPTIONS: (for columnar modes or insert mode):
     --escape T     ctrl-char escape; T is one of: symbol, ascii, off
     --wrap N       Wrap output lines to no longer than N characters
     --wordwrap B   Wrap or not at word boundaries per B (on/off)
     --ww           Shorthand for "--wordwrap 1"
     --quote        Quote output text as SQL literals
     --noquote      Do not quote output text
     TABLE          The name of SQL table used for "insert" mode
.nonce STRING            Suspend safe mode for one command if nonce matches
.nullvalue STRING        Use STRING in place of NULL values
.once ?OPTIONS? ?FILE?   Output for the next SQL command only to FILE
     If FILE begins with '|' then open as a pipe
       --bom    Put a UTF8 byte-order mark at the beginning
       -e       Send output to the system text editor
       --plain  Use text/plain output instead of HTML for -w option
       -w       Send output as HTML to a web browser (same as ".www")
       -x       Send output as CSV to a spreadsheet (same as ".excel")
.open ?OPTIONS? ?FILE?   Close existing database and reopen FILE
     Options:
        --append        Use appendvfs to append database to the end of FILE
        --deserialize   Load into memory using sqlite3_deserialize()
        --hexdb         Load the output of "dbtotxt" as an in-memory db
        --ifexist       Only open if FILE already exists
        --maxsize N     Maximum size for --hexdb or --deserialized database
        --new           Initialize FILE to an empty database
        --normal        FILE is an ordinary SQLite database
        --nofollow      Do not follow symbolic links
        --readonly      Open FILE readonly
        --zip           FILE is a ZIP archive
.output ?FILE?           Send output to FILE or stdout if FILE is omitted
   If FILE begins with '|' then open it as a pipe.
   If FILE is 'off' then output is disabled.
   Options:
     --bom                 Prefix output with a UTF8 byte-order mark
     -e                    Send output to the system text editor
     --plain               Use text/plain for -w option
     -w                    Send output to a web browser
     -x                    Send output as CSV to a spreadsheet
.parameter CMD ...       Manage SQL parameter bindings
   clear                   Erase all bindings
   init                    Initialize the TEMP table that holds bindings
   list                    List the current parameter bindings
   set PARAMETER VALUE     Given SQL parameter PARAMETER a value of VALUE
                           PARAMETER should start with one of: $ : @ ?
   unset PARAMETER         Remove PARAMETER from the binding table
.print STRING...         Print literal STRING
.progress N              Invoke progress handler after every N opcodes
   --limit N                 Interrupt after N progress callbacks
   --once                    Do no more than one progress interrupt
   --quiet|-q                No output except at interrupts
   --reset                   Reset the count for each input and interrupt
.prompt MAIN CONTINUE    Replace the standard prompts
.quit                    Stop interpreting input stream, exit if primary.
.read FILE               Read input from FILE or command output
    If FILE begins with "|", it is a command that generates the input.
.restore ?DB? FILE       Restore content of DB (default "main") from FILE
.save ?OPTIONS? FILE     Write database to FILE (an alias for .backup ...)
.scanstats on|off|est    Turn sqlite3_stmt_scanstatus() metrics on or off
.schema ?PATTERN?        Show the CREATE statements matching PATTERN
   Options:
      --indent             Try to pretty-print the schema
      --nosys              Omit objects whose names start with "sqlite_"
.separator COL ?ROW?     Change the column and row separators
.sha3sum ...             Compute a SHA3 hash of database content
    Options:
      --schema              Also hash the sqlite_schema table
      --sha3-224            Use the sha3-224 algorithm
      --sha3-256            Use the sha3-256 algorithm (default)
      --sha3-384            Use the sha3-384 algorithm
      --sha3-512            Use the sha3-512 algorithm
    Any other argument is a LIKE pattern for tables to hash
.shell CMD ARGS...       Run CMD ARGS... in a system shell
.show                    Show the current values for various settings
.stats ?ARG?             Show stats or turn stats on or off
   off                      Turn off automatic stat display
   on                       Turn on automatic stat display
   stmt                     Show statement stats
   vmstep                   Show the virtual machine step count only
.system CMD ARGS...      Run CMD ARGS... in a system shell
.tables ?TABLE?          List names of tables matching LIKE pattern TABLE
.timeout MS              Try opening locked tables for MS milliseconds
.timer on|off            Turn SQL timer on or off
.trace ?OPTIONS?         Output each SQL statement as it is run
    FILE                    Send output to FILE
    stdout                  Send output to stdout
    stderr                  Send output to stderr
    off                     Disable tracing
    --expanded              Expand query parameters
    --plain                 Show SQL as it is input
    --stmt                  Trace statement execution (SQLITE_TRACE_STMT)
    --profile               Profile statements (SQLITE_TRACE_PROFILE)
    --row                   Trace each row (SQLITE_TRACE_ROW)
    --close                 Trace connection close (SQLITE_TRACE_CLOSE)
.version                 Show source, library and compiler versions
.vfsinfo ?AUX?           Information about the top-level VFS
.vfslist                 List all available VFSes
.vfsname ?AUX?           Print the name of the VFS stack
.mode ?MODE? ?OPTIONS?   Set output mode
   MODE is one of:
     ascii       Columns/rows delimited by 0x1F and 0x1E
     box         Tables using unicode box-drawing characters
     csv         Comma-separated values
     column      Output in columns.  (See .width)
     html        HTML <table> code
     insert      SQL insert statements for TABLE
     json        Results in a JSON array
     line        One value per line
     list        Values delimited by "|"
     markdown    Markdown table format
     qbox        Shorthand for "box --wrap 60 --quote"
     quote       Escape answers as for SQL
     table       ASCII-art table
     tabs        Tab-separated values
     tcl         TCL list elements
   OPTIONS: (for columnar modes or insert mode):
     --escape T     ctrl-char escape; T is one of: symbol, ascii, off
     --wrap N       Wrap output lines to no longer than N characters
     --wordwrap B   Wrap or not at word boundaries per B (on/off)
     --ww           Shorthand for "--wordwrap 1"
     --quote        Quote output text as SQL literals
     --noquote      Do not quote output text
     TABLE          The name of SQL table used for "insert" mode
.width NUM1 NUM2 ...     Set minimum column widths for columnar output
     Negative values right-justify
Memory Used:                         80568 (max 80584) bytes
Number of Outstanding Allocations:   168 (max 169)
Number of Pcache Overflow Bytes:     16944 (max 16944) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                53 (max 91)
Successful lookaside attempts:       171
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18512 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   944 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               5
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            9311
Bytes sent to write():               24670
Read() system calls:                 24
Write() system calls:                68
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         80568 (max 80584) bytes
Number of Outstanding Allocations:   168 (max 169)
Number of Pcache Overflow Bytes:     16944 (max 16944) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                53 (max 91)
Successful lookaside attempts:       176
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18512 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   944 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               5
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            9410
Bytes sent to write():               26005
Read() system calls:                 26
Write() system calls:                69
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         80568 (max 80584) bytes
Number of Outstanding Allocations:   168 (max 169)
Number of Pcache Overflow Bytes:     16944 (max 16944) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                53 (max 91)
Successful lookaside attempts:       181
Lookaside failures due to size:      0
Lookaside failures due to OOM:       0
Pager Heap Usage:                    18512 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   944 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            9509
Bytes sent to write():               27340
Read() system calls:                 28
Write() system calls:                70
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         97808 (max 99512) bytes
Number of Outstanding Allocations:   197 (max 211)
Number of Pcache Overflow Bytes:     29776 (max 29776) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                50 (max 123)
Successful lookaside attempts:       416
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     7
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   1392 bytes
Statement Heap/Lookaside Usage:      3960 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               41
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        3960
Bytes received by read():            9608
Bytes sent to write():               28675
Read() system calls:                 30
Write() system calls:                71
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         93848 (max 99512) bytes
Number of Outstanding Allocations:   180 (max 211)
Number of Pcache Overflow Bytes:     29776 (max 29776) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                53 (max 123)
Successful lookaside attempts:       419
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   1392 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               3
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            9707
Bytes sent to write():               30014
Read() system calls:                 32
Write() system calls:                72
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         103584 (max 103584) bytes
Number of Outstanding Allocations:   191 (max 211)
Number of Pcache Overflow Bytes:     29776 (max 29776) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                67 (max 123)
Successful lookaside attempts:       459
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     3
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   1400 bytes
Statement Heap/Lookaside Usage:      5264 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               20
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        5264
Bytes received by read():            9806
Bytes sent to write():               31352
Read() system calls:                 34
Write() system calls:                73
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         103584 (max 103584) bytes
Number of Outstanding Allocations:   191 (max 211)
Number of Pcache Overflow Bytes:     29776 (max 29776) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                65 (max 123)
Successful lookaside attempts:       491
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     2
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   1400 bytes
Statement Heap/Lookaside Usage:      3936 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               18
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        3936
Bytes received by read():            9905
Bytes sent to write():               32693
Read() system calls:                 36
Write() system calls:                74
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         103584 (max 103584) bytes
Number of Outstanding Allocations:   191 (max 211)
Number of Pcache Overflow Bytes:     29776 (max 29776) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                65 (max 123)
Successful lookaside attempts:       523
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     2
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   1400 bytes
Statement Heap/Lookaside Usage:      3936 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               18
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        3936
Bytes received by read():            10004
Bytes sent to write():               34034
Read() system calls:                 38
Write() system calls:                75
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         93856 (max 103584) bytes
Number of Outstanding Allocations:   181 (max 211)
Number of Pcache Overflow Bytes:     29776 (max 29776) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                53 (max 123)
Successful lookaside attempts:       526
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     0
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   1400 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               3
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            10104
Bytes sent to write():               35376
Read() system calls:                 40
Write() system calls:                76
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
hello|id.1
goodbye|id.2
again|id.3
Memory Used:                         93856 (max 103584) bytes
Number of Outstanding Allocations:   181 (max 211)
Number of Pcache Overflow Bytes:     29776 (max 29776) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                60 (max 123)
Successful lookaside attempts:       553
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     2
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   1400 bytes
Statement Heap/Lookaside Usage:      4496 bytes
Fullscan Steps:                      2
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               18
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        4496
Bytes received by read():            10204
Bytes sent to write():               36716
Read() system calls:                 42
Write() system calls:                77
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         93856 (max 103584) bytes
Number of Outstanding Allocations:   181 (max 211)
Number of Pcache Overflow Bytes:     29776 (max 29776) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                60 (max 123)
Successful lookaside attempts:       577
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     2
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   1400 bytes
Statement Heap/Lookaside Usage:      3296 bytes
Fullscan Steps:                      2
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               17
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        3296
Bytes received by read():            10304
Bytes sent to write():               38092
Read() system calls:                 44
Write() system calls:                78
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         96168 (max 103584) bytes
Number of Outstanding Allocations:   205 (max 214)
Number of Pcache Overflow Bytes:     29776 (max 29776) bytes
Largest Allocation:                  48000 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                50 (max 123)
Successful lookaside attempts:       643
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     3
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   2080 bytes
Statement Heap/Lookaside Usage:      1632 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               15
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        1632
Bytes received by read():            10404
Bytes sent to write():               39433
Read() system calls:                 46
Write() system calls:                79
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
again
goodbye
hello
Memory Used:                         94536 (max 292136) bytes
Number of Outstanding Allocations:   194 (max 214)
Number of Pcache Overflow Bytes:     29776 (max 46176) bytes
Largest Allocation:                  87360 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                62 (max 123)
Successful lookaside attempts:       705
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     3
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   2080 bytes
Statement Heap/Lookaside Usage:      4624 bytes
Fullscan Steps:                      4
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               53
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        4624
Bytes received by read():            10504
Bytes sent to write():               40774
Read() system calls:                 48
Write() system calls:                80
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         92456 (max 330496) bytes
Number of Outstanding Allocations:   144 (max 252)
Number of Pcache Overflow Bytes:     29776 (max 46176) bytes
Largest Allocation:                  87360 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                53 (max 123)
Successful lookaside attempts:       1060
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    27216 bytes
Page cache hits:                     9
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            10648
Bytes sent to write():               42135
Read() system calls:                 51
Write() system calls:                81
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         82368 (max 330496) bytes
Number of Outstanding Allocations:   175 (max 252)
Number of Pcache Overflow Bytes:     21304 (max 46176) bytes
Largest Allocation:                  87360 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                53 (max 123)
Successful lookaside attempts:       1159
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    17960 bytes
Page cache hits:                     2
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   1752 bytes
Statement Heap/Lookaside Usage:      2784 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               8
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2784
Bytes received by read():            10748
Bytes sent to write():               43473
Read() system calls:                 53
Write() system calls:                82
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         80616 (max 330496) bytes
Number of Outstanding Allocations:   136 (max 252)
Number of Pcache Overflow Bytes:     21304 (max 46176) bytes
Largest Allocation:                  87360 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                51 (max 123)
Successful lookaside attempts:       1515
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    17960 bytes
Page cache hits:                     9
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            10848
Bytes sent to write():               44814
Read() system calls:                 55
Write() system calls:                83
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         80616 (max 330496) bytes
Number of Outstanding Allocations:   136 (max 252)
Number of Pcache Overflow Bytes:     21304 (max 46176) bytes
Largest Allocation:                  87360 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                51 (max 123)
Successful lookaside attempts:       1921
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    17960 bytes
Page cache hits:                     11
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   0 bytes
Statement Heap/Lookaside Usage:      2528 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               4
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2528
Bytes received by read():            10948
Bytes sent to write():               46152
Read() system calls:                 57
Write() system calls:                84
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         114288 (max 330496) bytes
Number of Outstanding Allocations:   254 (max 285)
Number of Pcache Overflow Bytes:     47512 (max 47512) bytes
Largest Allocation:                  87360 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                48 (max 123)
Successful lookaside attempts:       2334
Lookaside failures due to size:      2
Lookaside failures due to OOM:       71
Pager Heap Usage:                    44072 bytes
Page cache hits:                     22
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   3960 bytes
Statement Heap/Lookaside Usage:      2616 bytes
Fullscan Steps:                      0
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               31
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        2616
Bytes received by read():            11048
Bytes sent to write():               47491
Read() system calls:                 59
Write() system calls:                85
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
Memory Used:                         108824 (max 341432) bytes
Number of Outstanding Allocations:   183 (max 285)
Number of Pcache Overflow Bytes:     47512 (max 63912) bytes
Largest Allocation:                  87360 bytes
Largest Pcache Allocation:           4368 bytes
Lookaside Slots Used:                58 (max 123)
Successful lookaside attempts:       2658
Lookaside failures due to size:      8
Lookaside failures due to OOM:       71
Pager Heap Usage:                    44072 bytes
Page cache hits:                     31
Page cache misses:                   0
Page cache writes:                   0
Page cache spills:                   0
Temporary data spilled to disk:      0
Schema Heap Usage:                   2000 bytes
Statement Heap/Lookaside Usage:      3424 bytes
Fullscan Steps:                      9
Sort Operations:                     0
Autoindex Inserts:                   0
Virtual Machine Steps:               47
Reprepare operations:                0
Number of times run:                 1
Memory used by prepared stmt:        3424
Bytes received by read():            11148
Bytes sent to write():               48835
Read() system calls:                 62
Write() system calls:                86
Bytes read from storage:             0
Bytes written to storage:            0
Cancelled write bytes:               0
```

## Flag

```

```

